Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## net.sf.jasperreports.engine.export.ooxml
Class JROfficeOpenXmlExporterNature

    java.lang.Object
      net.sf.jasperreports.engine.export.ooxml.JROfficeOpenXmlExporterNature

All Implemented Interfaces:
  ExporterFilter, ExporterNature

Direct Known Subclasses:
  JRDocxExporterNature

    public abstract class JROfficeOpenXmlExporterNature

extends java.lang.Object
implements ExporterNature

Version:
  $Id: JROfficeOpenXmlExporterNature.java 3939 2010-08-20 09:52:00Z teodord $
Author:
  sanda zaharia (shertage@users.sourceforge.net)

Field Summary
`protected ExporterFilter` | `filter`

Constructor Summary
`JROfficeOpenXmlExporterNature(ExporterFilter filter)`

Method Summary
`boolean` | `isBreakAfterRow(JRPrintElement element)`
`boolean` | `isBreakBeforeRow(JRPrintElement element)`
`boolean` | `isHorizontallyMergeEmptyCells()` Flag that specifies that empty cells are to be horizontally merged.
`boolean` | `isIgnoreLastRow()`
`boolean` | `isIgnorePageMargins()` Specifies whether empty page margins should be ignored
`boolean` | `isSpanCells()` Specifies whether the exporter handles cells span
`boolean` | `isSplitSharedRowSpan()`
`boolean` | `isToExport(JRPrintElement element)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Methods inherited from interface net.sf.jasperreports.engine.export.ExporterNature
`isDeep`

Field Detail

### filter

    protected ExporterFilter filter

Constructor Detail

### JROfficeOpenXmlExporterNature

    public JROfficeOpenXmlExporterNature(ExporterFilter filter)

Method Detail

### isToExport

    public boolean isToExport(JRPrintElement element)

  Specified by:
    `isToExport` in interface `ExporterFilter`

### isSplitSharedRowSpan

    public boolean isSplitSharedRowSpan()

  Specified by:
    `isSplitSharedRowSpan` in interface `ExporterNature`

### isSpanCells

    public boolean isSpanCells()

  Description copied from interface: `ExporterNature`
  Specifies whether the exporter handles cells span

  Specified by:
    `isSpanCells` in interface `ExporterNature`

### isIgnoreLastRow

    public boolean isIgnoreLastRow()

  Specified by:
    `isIgnoreLastRow` in interface `ExporterNature`

### isHorizontallyMergeEmptyCells

    public boolean isHorizontallyMergeEmptyCells()

  Description copied from interface: `ExporterNature`
  Flag that specifies that empty cells are to be horizontally merged.

  If the flag is set and this nature is `deep`, the nature is required to `export` `frames`.

  Specified by:
    `isHorizontallyMergeEmptyCells` in interface `ExporterNature`
  Returns:
    whether empty cells are to be horizontally merged

### isIgnorePageMargins

    public boolean isIgnorePageMargins()

  Specifies whether empty page margins should be ignored

  Specified by:
    `isIgnorePageMargins` in interface `ExporterNature`

### isBreakBeforeRow

    public boolean isBreakBeforeRow(JRPrintElement element)

  Specified by:
    `isBreakBeforeRow` in interface `ExporterNature`

### isBreakAfterRow

    public boolean isBreakAfterRow(JRPrintElement element)

  Specified by:
    `isBreakAfterRow` in interface `ExporterNature`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

© 2001-2010 Jaspersoft Corporation www.jaspersoft.com